Bug 62860 - bento-fix: audio/xmradio (prevent compilation on sparc64 and amd64)
Summary: bento-fix: audio/xmradio (prevent compilation on sparc64 and amd64)
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: freebsd-ports-bugs (Nobody)
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2004-02-15 01:00 UTC by hendrik
Modified: 2004-02-25 22:28 UTC (History)
1 user (show)

See Also:


Attachments
xmradio-arch.diff (574 bytes, patch)
2004-02-15 01:00 UTC, hendrik
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description hendrik 2004-02-15 01:00:30 UTC
Since there is no /usr/include/machine/ioctl_bt848.h on sparc64 and amd64
platforms xmradio won't work (cmp. with xawtv), so just
set ONLY_FOR_ARCHS correctly.

bento:
	http://bento.freebsd.org/errorlogs/amd64-5-full/xmradio-1.2.log
	http://bento.freebsd.org/errorlogs/sparc64-5-full/xmradio-1.2.log
	works fine on other platforms
Comment 1 Kirill Ponomarev freebsd_committer 2004-02-15 07:28:38 UTC
Hi,

On Sat, Feb 14, 2004 at 07:52:33PM -0500, Hendrik Scholz wrote:
> 
> >Number:         62860
> >Category:       ports
> >Synopsis:       bento-fix: audio/xmradio (prevent compilation on sparc64 and amd64)
> >Confidential:   no
> >Severity:       non-critical
> >Priority:       low
> >Responsible:    freebsd-ports-bugs
> >State:          open


Could you please review this PR and approve/reject the changes?

http://www.freebsd.org/cgi/query-pr.cgi?pr=ports/62860

-Kirill
Comment 2 Kirill Ponomarev freebsd_committer 2004-02-15 07:28:45 UTC
State Changed
From-To: open->feedback

Asked for maintainer's feedback.
Comment 3 Kirill Ponomarev freebsd_committer 2004-02-25 22:28:05 UTC
State Changed
From-To: feedback->closed

Committed, thanks!